Bug 1256043 - [abrt] gnome-software: gs_app_get_state(): gnome-software killed by SIGSEGV
[abrt] gnome-software: gs_app_get_state(): gnome-software killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:57f38c9b5b0bdd5d70909121e6f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 11:36 EDT by icywind90
Modified: 2015-10-09 02:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 02:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.11 KB, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: core_backtrace (13.11 KB, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: dso_list (14.96 KB, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: environ (1.62 KB, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: exploitable (117 bytes, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-23 11:36 EDT, icywind90
no flags Details
File: maps (71.85 KB, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details
File: open_fds (2.36 KB, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-08-23 11:37 EDT, icywind90
no flags Details

  None (edit)
Description icywind90 2015-08-23 11:36:44 EDT
Version-Release number of selected component:
gnome-software-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_get_state
executable:     /usr/bin/gnome-software
global_pid:     2374
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_app_get_state at gs-app.c:380
 #1 gs_app_row_refresh at gs-app-row.c:128
 #2 gs_app_row_set_selectable at gs-app-row.c:536
 #3 set_selection_mode at gs-shell-installed.c:561
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 gtk_button_do_release at gtkbutton.c:1899
 #8 gtk_real_button_released at gtkbutton.c:2017
 #13 multipress_released_cb at gtkbutton.c:613
 #14 ffi_call_unix64 at ../src/x86/unix64.S:76
 #15 ffi_call at ../src/x86/ffi64.c:525
Comment 1 icywind90 2015-08-23 11:36:47 EDT
Created attachment 1066047 [details]
File: backtrace
Comment 2 icywind90 2015-08-23 11:36:49 EDT
Created attachment 1066048 [details]
File: cgroup
Comment 3 icywind90 2015-08-23 11:36:52 EDT
Created attachment 1066049 [details]
File: core_backtrace
Comment 4 icywind90 2015-08-23 11:36:54 EDT
Created attachment 1066050 [details]
File: dso_list
Comment 5 icywind90 2015-08-23 11:36:56 EDT
Created attachment 1066051 [details]
File: environ
Comment 6 icywind90 2015-08-23 11:36:58 EDT
Created attachment 1066052 [details]
File: exploitable
Comment 7 icywind90 2015-08-23 11:36:59 EDT
Created attachment 1066053 [details]
File: limits
Comment 8 icywind90 2015-08-23 11:37:01 EDT
Created attachment 1066054 [details]
File: maps
Comment 9 icywind90 2015-08-23 11:37:03 EDT
Created attachment 1066055 [details]
File: mountinfo
Comment 10 icywind90 2015-08-23 11:37:04 EDT
Created attachment 1066056 [details]
File: namespaces
Comment 11 icywind90 2015-08-23 11:37:06 EDT
Created attachment 1066057 [details]
File: open_fds
Comment 12 icywind90 2015-08-23 11:37:07 EDT
Created attachment 1066058 [details]
File: proc_pid_status
Comment 13 icywind90 2015-08-23 11:37:09 EDT
Created attachment 1066059 [details]
File: var_log_messages
Comment 14 Fedora Update System 2015-10-07 09:20:48 EDT
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0
Comment 15 Fedora Update System 2015-10-07 12:27:06 EDT
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0
Comment 16 Fedora Update System 2015-10-09 02:13:52 EDT
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.